import request from '@/utils/request'
import { PageType, StrAnyObj } from '@/typings'

// 用户操作日志分页
export function getPageApi(params: StrAnyObj): Promise<PageType<StrAnyObj>> {
  return request.get('/logUserOperation/getPage', params)
}

// 用户操作日志明细
export function getDetailApi(params: StrAnyObj): Promise<StrAnyObj> {
  return request.get('/logUserOperation/getDetail', params)
}

// 用户操作日志新增
export function addApi(data: StrAnyObj): Promise<void> {
  return request.post('/logUserOperation/add', data)
}

// 用户操作日志编辑
export function editApi(data: StrAnyObj): Promise<void> {
  return request.post('/logUserOperation/edit', data)
}

// 用户操作日志删除
export function deleteApi(data: StrAnyObj): Promise<void> {
  return request.post('/logUserOperation/delete', data)
}